Switch repo automatically?

I installed the restricted codecs for LEAP 42.1 using the guide found. I pasted the commands into the console and ran them. Now I have Kdenlive installed and it won’t render, just fails - “No LADSPA plugins were found”. I saw a thread that said to install the restricted codecs, but I’m petty sure that was done. Also, Audacious won’t play MP3s. Is there a way to automatically find all packages that have a packman version, and switch them to packman? I’ve searched a bit, but can’t find an answer. By myslef, I found one package that had a packman version, so I switched that (I forget what it was, butit didn’t fix Kdenlive). There was no packman version of Kdenlive in Yast, but I forget if there ever was one. It just worked in the past, so I never noticed.

This is the guide I was using:

http://opensuse-guide.org/codecs.php

I suggest you try again, but use this guide from caf4926. You will note there are a few important steps left out of the guide you refer to:

https://forums.opensuse.org/entry.php/165-openSUSE-Leap-42-1-Multimedia-Guide

On the last step I got this

linux-44ah:~ # zypper install libxine2-codecs ffmpeg lame gstreamer-0_10-plugins-good gstreamer-0_10-plugins-bad gstreamer-0_10-plugins-ugly gstreamer-0_10-plugins-
Loading repository data...
Reading installed packages...
Package 'gstreamer-0_10-plugins-' not found.
'ffmpeg' is already installed.
No update candidate for 'ffmpeg-2.8.6-55.2.x86_64'. The highest available version is already installed.
'gstreamer-0_10-plugins-good' is already installed.
There is an update candidate for 'gstreamer-0_10-plugins-good', but it is from a different vendor. Use 'zypper install gstreamer-0_10-plugins-good-0.10.31-85.5.x86_64' to install this candidate.
'libxine2-codecs' is already installed.
No update candidate for 'libxine2-codecs-1.2.6-96.1.x86_64'. The highest available version is already installed.
'lame' is already installed.
No update candidate for 'lame-3.99.5-1015.1.x86_64'. The highest available version is already installed.
Resolving package dependencies...

The following 17 NEW packages are going to be installed:
  gstreamer-0_10-plugins-bad gstreamer-0_10-plugins-ugly gstreamer-0_10-plugins-ugly-lang libSoundTouch0 libcdaudio1
  libdirac_encoder0 libgstbasecamerabinsrc-0_10-23 libgstbasevideo-0_10-23 libgstcodecparsers-0_10-23
  libgstphotography-0_10-23 libgstsignalprocessor-0_10-23 libgstvdp-0_10-23 liblrdf2 libofa0 libsidplay1 libslv2-9
  libtimidity-0_1-0

The following recommended package was automatically selected:
  gstreamer-0_10-plugins-ugly-lang

17 new packages to install.
Overall download size: 2.4 MiB. Already cached: 0 B. After the operation, additional 7.2 MiB will be used.
Continue? [y/n/? shows all options] (y): y
Retrieving package libSoundTouch0-1.8.0-2.3.x86_64                               (1/17),  31.9 KiB ( 79.0 KiB unpacked)
Retrieving: libSoundTouch0-1.8.0-2.3.x86_64.rpm .................................................................[done]
Retrieving package libcdaudio1-0.99.12-166.1.x86_64                              (2/17),  35.5 KiB ( 80.5 KiB unpacked)
Retrieving: libcdaudio1-0.99.12-166.1.x86_64.rpm ................................................................[done]
Retrieving package libdirac_encoder0-1.0.2-31.3.x86_64                           (3/17), 194.9 KiB (575.5 KiB unpacked)
Retrieving: libdirac_encoder0-1.0.2-31.3.x86_64.rpm .............................................................[done]
Retrieving package liblrdf2-0.5.0-2.2.x86_64                                     (4/17),  21.2 KiB ( 44.6 KiB unpacked)
Retrieving: liblrdf2-0.5.0-2.2.x86_64.rpm .......................................................................[done]
Retrieving package libofa0-0.9.3-101.2.x86_64                                    (5/17),  35.9 KiB ( 92.0 KiB unpacked)
Retrieving: libofa0-0.9.3-101.2.x86_64.rpm ......................................................................[done]
Retrieving package libsidplay1-1.36.59-159.1.x86_64                              (6/17),  76.8 KiB (272.8 KiB unpacked)
Retrieving: libsidplay1-1.36.59-159.1.x86_64.rpm ................................................................[done]
Retrieving package libtimidity-0_1-0-0.1.0-17.1.x86_64                           (7/17),  42.0 KiB ( 92.2 KiB unpacked)
Retrieving: libtimidity-0_1-0-0.1.0-17.1.x86_64.rpm .............................................................[done]
Retrieving package gstreamer-0_10-plugins-ugly-0.10.19-15.3.x86_64               (8/17), 131.6 KiB (359.5 KiB unpacked)
Retrieving: gstreamer-0_10-plugins-ugly-0.10.19-15.3.x86_64.rpm .................................................[done]
Retrieving package gstreamer-0_10-plugins-ugly-lang-0.10.19-15.3.noarch          (9/17),  32.9 KiB ( 65.9 KiB unpacked)
Retrieving: gstreamer-0_10-plugins-ugly-lang-0.10.19-15.3.noarch.rpm ............................................[done]
Retrieving package libgstphotography-0_10-23-0.10.23-172.13.x86_64              (10/17),  52.1 KiB ( 30.3 KiB unpacked)
Retrieving: libgstphotography-0_10-23-0.10.23-172.13.x86_64.rpm .................................................[done]
Retrieving package libslv2-9-0.6.6-4.1.x86_64                                   (11/17),  21.3 KiB ( 55.2 KiB unpacked)
Retrieving: libslv2-9-0.6.6-4.1.x86_64.rpm ......................................................................[done]
Retrieving package libgstsignalprocessor-0_10-23-0.10.23-172.13.x86_64          (12/17),  54.0 KiB ( 22.4 KiB unpacked)
Retrieving: libgstsignalprocessor-0_10-23-0.10.23-172.13.x86_64.rpm .............................................[done]
Retrieving package libgstcodecparsers-0_10-23-0.10.23-172.13.x86_64             (13/17), 100.5 KiB (154.2 KiB unpacked)
Retrieving: libgstcodecparsers-0_10-23-0.10.23-172.13.x86_64.rpm ................................................[done]
Retrieving package libgstvdp-0_10-23-0.10.23-172.13.x86_64                      (14/17),  70.8 KiB ( 84.2 KiB unpacked)
Retrieving: libgstvdp-0_10-23-0.10.23-172.13.x86_64.rpm .........................................................[done]
Retrieving package libgstbasecamerabinsrc-0_10-23-0.10.23-172.13.x86_64         (15/17),  54.1 KiB ( 27.1 KiB unpacked)
Retrieving: libgstbasecamerabinsrc-0_10-23-0.10.23-172.13.x86_64.rpm ............................................[done]
Retrieving package libgstbasevideo-0_10-23-0.10.23-172.13.x86_64                (16/17),  70.9 KiB ( 79.4 KiB unpacked)
Retrieving: libgstbasevideo-0_10-23-0.10.23-172.13.x86_64.rpm ...................................................[done]
Retrieving package gstreamer-0_10-plugins-bad-0.10.23-172.13.x86_64             (17/17),   1.4 MiB (  5.2 MiB unpacked)
Retrieving: gstreamer-0_10-plugins-bad-0.10.23-172.13.x86_64.rpm ................................................[done]
Checking for file conflicts: ....................................................................................[done]
( 1/17) Installing: libSoundTouch0-1.8.0-2.3 ....................................................................[done]
( 2/17) Installing: libcdaudio1-0.99.12-166.1 ...................................................................[done]
( 3/17) Installing: libdirac_encoder0-1.0.2-31.3 ................................................................[done]
( 4/17) Installing: liblrdf2-0.5.0-2.2 ..........................................................................[done]
( 5/17) Installing: libofa0-0.9.3-101.2 .........................................................................[done]
( 6/17) Installing: libsidplay1-1.36.59-159.1 ...................................................................[done]
( 7/17) Installing: libtimidity-0_1-0-0.1.0-17.1 ................................................................[done]
( 8/17) Installing: gstreamer-0_10-plugins-ugly-0.10.19-15.3 ....................................................[done]
( 9/17) Installing: gstreamer-0_10-plugins-ugly-lang-0.10.19-15.3 ...............................................[done]
(10/17) Installing: libgstphotography-0_10-23-0.10.23-172.13 ....................................................[done]
Additional rpm output:
warning: /var/cache/zypp/packages/packman/Essentials/x86_64/libgstphotography-0_10-23-0.10.23-172.13.x86_64.rpm: Header V3 RSA/SHA1 Signature, key ID 6946124b: NOKEY


(11/17) Installing: libslv2-9-0.6.6-4.1 .........................................................................[done]
(12/17) Installing: libgstsignalprocessor-0_10-23-0.10.23-172.13 ................................................[done]
Additional rpm output:
warning: /var/cache/zypp/packages/packman/Essentials/x86_64/libgstsignalprocessor-0_10-23-0.10.23-172.13.x86_64.rpm: Header V3 RSA/SHA1 Signature, key ID 6946124b: NOKEY


(13/17) Installing: libgstcodecparsers-0_10-23-0.10.23-172.13 ...................................................[done]
Additional rpm output:
warning: /var/cache/zypp/packages/packman/Essentials/x86_64/libgstcodecparsers-0_10-23-0.10.23-172.13.x86_64.rpm: Header V3 RSA/SHA1 Signature, key ID 6946124b: NOKEY


(14/17) Installing: libgstvdp-0_10-23-0.10.23-172.13 ............................................................[done]
Additional rpm output:
warning: /var/cache/zypp/packages/packman/Essentials/x86_64/libgstvdp-0_10-23-0.10.23-172.13.x86_64.rpm: Header V3 RSA/SHA1 Signature, key ID 6946124b: NOKEY


(15/17) Installing: libgstbasecamerabinsrc-0_10-23-0.10.23-172.13 ...............................................[done]
Additional rpm output:
warning: /var/cache/zypp/packages/packman/Essentials/x86_64/libgstbasecamerabinsrc-0_10-23-0.10.23-172.13.x86_64.rpm: Header V3 RSA/SHA1 Signature, key ID 6946124b: NOKEY


(16/17) Installing: libgstbasevideo-0_10-23-0.10.23-172.13 ......................................................[done]
Additional rpm output:
warning: /var/cache/zypp/packages/packman/Essentials/x86_64/libgstbasevideo-0_10-23-0.10.23-172.13.x86_64.rpm: Header V3 RSA/SHA1 Signature, key ID 6946124b: NOKEY


(17/17) Installing: gstreamer-0_10-plugins-bad-0.10.23-172.13 ...................................................[done]
Installation has completed with error.


I deleted the old packman repo because it complained about that in the first step(s), and disabled all the other “old” repos. Is this error really a problem? I just tried playing MP3s in Audacious, it is now working! Nice! I also tried Kdenlive and it’s rendering a video now! Looks to me like this worked, maybe the reported errors are nothing after all? In any case, thank you! Now LEAP is awesome!

Your story aboput “old” repos is not very detailed, but when you switch to another openSUSE version, you should remove all repos not belonging to the new version (well, disabled is enough, but as you will never use them again, removing is more secure). Then you may add new extra repos belonging to the new version of openSUSE and replace the packages you stilll ave from the “old” repos by the same packages from the “new repos”. In fact the same you did for the OSS and non-OSS repos. Best I guess using zypper dup --from “new-repo”. And that is also true for Packman to be sure you have de codecs, etc. from the Packman that belongs to your new openSUSE version.

Only disabling repos does not replace the packages you have installed from them (or de-install them).

By "old’, I meant the repos from the other multimedia guide :slight_smile:
Sorry about the confusion. This was LEAP 42.1 both times. The “correct” guide wanted to install the packman repo, but it was there from before. I deleted it and the “dvd” repo so the correct repos were used. Perhaps the previous packman repo would have worked, but I didn’t want to take any chances. The “dvd” repo from before wasn’t used, it set up the “libdvdcss” (or something) repo. I sometimes word things in a strange way.

The “error” didn’t seem to hurt anything that I can tell. Just wondering what the error was and if I should be concerned. Everything (so far) is working great, so probably there’s nothing to worry about.

P.S. - this was a clean install, formatted the home and “/” directories, if that matters. This wasn’t an upgrade, I never do that, I learned my lesson in the old days with Windows.

I’ve learned one thing at least - always read the “stickies”! Wish I had done that the first time! rotfl!